org.deidentifier.arx.framework.lattice

## Class ObjectIterator.ObjectIteratorIntArray

- java.lang.Object
- - org.deidentifier.arx.framework.lattice.ObjectIterator<org.deidentifier.arx.framework.lattice.SolutionSpaceIntArray.IntArrayWrapper>
  - - org.deidentifier.arx.framework.lattice.ObjectIterator.ObjectIteratorIntArray

Enclosing class:
  ObjectIterator<T>

    public static class ObjectIterator.ObjectIteratorIntArray
    extends ObjectIterator<org.deidentifier.arx.framework.lattice.SolutionSpaceIntArray.IntArrayWrapper>

Iterator for int arrays

Author:
  Fabian Prasser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.framework.lattice.ObjectIterator

`ObjectIterator.ObjectIteratorIntArray, ObjectIterator.ObjectIteratorLong`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()` Is there a next element?
`org.deidentifier.arx.framework.lattice.SolutionSpaceIntArray.IntArrayWrapper` `next()` Returns the next element

### Methods inherited from class org.deidentifier.arx.framework.lattice.ObjectIterator

`create, create`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### hasNext

    public boolean hasNext()

Description copied from class: `ObjectIterator`
Is there a next element?

Specified by:
  `hasNext` in class `ObjectIterator<org.deidentifier.arx.framework.lattice.SolutionSpaceIntArray.IntArrayWrapper>`
Returns:
See Also:
  `JHPLIterator.LongIterator.hasNext()`

#### next

    public org.deidentifier.arx.framework.lattice.SolutionSpaceIntArray.IntArrayWrapper next()

Description copied from class: `ObjectIterator`
Returns the next element

Specified by:
  `next` in class `ObjectIterator<org.deidentifier.arx.framework.lattice.SolutionSpaceIntArray.IntArrayWrapper>`
Returns:
See Also:
  `JHPLIterator.LongIterator.next()`